Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5100)
@@ -23,5 +23,5 @@
   SUBROUTINE init_create_etat0_unstruct
   USE lmdz_xios
-  USE netcdf, ONLY: NF90_NOWRITE,nf90_close,nf90_noerr,nf90_open
+  USE netcdf, ONLY: nf90_nowrite,nf90_close,nf90_noerr,nf90_open
   USE mod_phys_lmdz_para
   IMPLICIT NONE
@@ -31,20 +31,20 @@
     IF (is_omp_master) THEN
 
-      IF (NF90_OPEN("ocean_fraction.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
+      IF (nf90_open("ocean_fraction.nc", nf90_nowrite, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("frac_ocean",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="frac_ocean_read")
-        iret=NF90_CLOSE(file_id)
-      ELSE IF (NF90_OPEN("land_water_0.05.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
+        iret=nf90_close(file_id)
+      ELSE IF (nf90_open("land_water_0.05.nc", nf90_nowrite, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("land_water",name="land_water_0.05",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="land_water")
-        iret=NF90_CLOSE(file_id)
-      ELSE IF (NF90_OPEN("land_water_0.25.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
+        iret=nf90_close(file_id)
+      ELSE IF (nf90_open("land_water_0.25.nc", nf90_nowrite, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("land_water",name="land_water_0.25",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="land_water")
-        iret=NF90_CLOSE(file_id)
-      ELSE IF (NF90_OPEN("land_water_0.50.nc", NF90_NOWRITE, file_id)==nf90_noerr) THEN
+        iret=nf90_close(file_id)
+      ELSE IF (nf90_open("land_water_0.50.nc", nf90_nowrite, file_id)==nf90_noerr) THEN
         CALL xios_set_file_attr("land_water",name="land_water_0.50",enabled=.TRUE.)
         CALL xios_set_field_attr("mask",field_ref="land_water")
-        iret=NF90_CLOSE(file_id)
+        iret=nf90_close(file_id)
       ENDIF
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz1d.F90	(revision 5100)
@@ -2,5 +2,4 @@
 ! $Id$
 
-!#ifdef CPP_1D
 !#include "../dyn3d/mod_const_mpi.F90"
 !#include "../dyn3d_common/control_mod.F90"
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5100)
@@ -435,7 +435,7 @@
 ! Purpose: Read parameters usually determined with grid_noro from a file.
 !===============================================================================
-  USE netcdf, ONLY: NF90_OPEN,  nf90_inq_dimid, nf90_inquire_dimension,        &
-        nf90_noerr, NF90_CLOSE, NF90_INQ_VARID, nf90_get_var, NF90_STRERROR,   &
-        NF90_NOWRITE
+  USE netcdf, ONLY: nf90_open,  nf90_inq_dimid, nf90_inquire_dimension,        &
+        nf90_noerr, nf90_close, NF90_INQ_VARID, nf90_get_var, NF90_STRERROR,   &
+        nf90_nowrite
   IMPLICIT NONE 
 !-------------------------------------------------------------------------------
@@ -471,5 +471,5 @@
   masque_lu=ANY(mask/=-99999.); IF(.NOT.masque_lu) mask=0.0
   WRITE(lunout,*)'Masque lu: ',masque_lu
-  CALL ncerr(NF90_OPEN(fname,NF90_NOWRITE,fid))
+  CALL ncerr(nf90_open(fname,nf90_nowrite,fid))
   CALL check_dim('x','longitude',x(1:imar))
   CALL check_dim('y','latitude' ,y(1:jmar))
@@ -483,5 +483,5 @@
   zpic=zmea+2*zstd
   zval=MAX(0.,zmea-2.*zstd)
-  CALL ncerr(NF90_CLOSE(fid))
+  CALL ncerr(nf90_close(fid))
   WRITE(lunout,*)'  MEAN ORO:' ,MAXVAL(zmea)
   WRITE(lunout,*)'  ST. DEV.:' ,MAXVAL(zstd)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iostart.F90	(revision 5100)
@@ -37,5 +37,5 @@
 
     IF (is_mpi_root .AND. is_omp_root) THEN
-      ierr = NF90_OPEN (filename, NF90_NOWRITE,nid_start)
+      ierr = nf90_open (filename, nf90_nowrite,nid_start)
       IF (ierr/=nf90_noerr) THEN
         write(6,*)' Pb d''ouverture du fichier '//filename
@@ -54,5 +54,5 @@
 
     IF (is_mpi_root .AND. is_omp_root) THEN
-        ierr = NF90_CLOSE (nid_start)
+        ierr = nf90_close (nid_start)
     ENDIF
 
@@ -312,5 +312,5 @@
     
     IF (is_master) THEN
-      ierr = NF90_CREATE(filename, IOR(NF90_CLOBBER,NF90_64BIT_OFFSET), &
+      ierr = nf90_create(filename, IOR(nf90_clobber,nf90_64bit_offset), &
                           nid_restart)
       IF (ierr/=nf90_noerr) THEN
@@ -320,12 +320,12 @@
       ENDIF
 
-      ierr = NF90_PUT_ATT (nid_restart, NF90_GLOBAL, "title","Fichier redemmarage physique")
-
-      ierr = NF90_DEF_DIM (nid_restart, "index", length, idim1)
-      ierr = NF90_DEF_DIM (nid_restart, "points_physiques", klon_glo, idim2)
-      ierr = NF90_DEF_DIM (nid_restart, "horizon_vertical", klon_glo*klev, idim3)
-      ierr = NF90_DEF_DIM (nid_restart, "horizon_klevp1", klon_glo*klevp1, idim4)
-
-!      ierr = NF90_ENDDEF(nid_restart)
+      ierr = nf90_put_att (nid_restart, nf90_global, "title","Fichier redemmarage physique")
+
+      ierr = nf90_def_dim (nid_restart, "index", length, idim1)
+      ierr = nf90_def_dim (nid_restart, "points_physiques", klon_glo, idim2)
+      ierr = nf90_def_dim (nid_restart, "horizon_vertical", klon_glo*klev, idim3)
+      ierr = nf90_def_dim (nid_restart, "horizon_klevp1", klon_glo*klevp1, idim4)
+
+!      ierr = nf90_enddef(nid_restart)
     ENDIF
 
@@ -338,5 +338,5 @@
     INTEGER          :: ierr
 
-    IF (is_master) ierr = NF90_ENDDEF(nid_restart)
+    IF (is_master) ierr = nf90_enddef(nid_restart)
  
   END SUBROUTINE enddef_restartphy
@@ -348,5 +348,5 @@
     INTEGER          :: ierr
 
-    IF (is_master) ierr = NF90_CLOSE (nid_restart)
+    IF (is_master) ierr = nf90_close (nid_restart)
  
   END SUBROUTINE close_restartphy
@@ -426,7 +426,7 @@
          
 !      ierr = NF90_REDEF (nid_restart)
-      ierr = NF90_DEF_VAR (nid_restart, field_name, nf90_format,(/ idim /),nvarid)
-      IF (LEN_TRIM(title) > 0) ierr = NF90_PUT_ATT (nid_restart,nvarid,"title", title)
-!      ierr = NF90_ENDDEF(nid_restart)
+      ierr = nf90_def_var (nid_restart, field_name, nf90_format,(/ idim /),nvarid)
+      IF (LEN_TRIM(title) > 0) ierr = nf90_put_att (nid_restart,nvarid,"title", title)
+!      ierr = nf90_enddef(nid_restart)
      ENDIF
 
@@ -454,5 +454,5 @@
 
        ierr = NF90_INQ_VARID(nid_restart, field_name, nvarid)
-       ierr = NF90_PUT_VAR(nid_restart,nvarid,RESHAPE(field_glo,(/klon_glo*field_size/)))
+       ierr = nf90_put_var(nid_restart,nvarid,RESHAPE(field_glo,(/klon_glo*field_size/)))
       ENDIF
    ENDIF
@@ -536,12 +536,12 @@
 !      ierr = NF90_REDEF (nid_restart)
 
-        ierr = NF90_DEF_VAR (nid_restart, var_name, nf90_format,(/ idim1 /),nvarid)
-        IF (LEN_TRIM(title)>0) ierr = NF90_PUT_ATT (nid_restart,nvarid,"title", title)
-!      ierr = NF90_ENDDEF(nid_restart)
+        ierr = nf90_def_var (nid_restart, var_name, nf90_format,(/ idim1 /),nvarid)
+        IF (LEN_TRIM(title)>0) ierr = nf90_put_att (nid_restart,nvarid,"title", title)
+!      ierr = nf90_enddef(nid_restart)
 
     ! second pass : write     
       ELSE IF (pass==2) THEN 
         ierr = NF90_INQ_VARID(nid_restart, var_name, nvarid)
-        ierr = NF90_PUT_VAR(nid_restart,nvarid,var)
+        ierr = nf90_put_var(nid_restart,nvarid,var)
       ENDIF
     ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5100)
@@ -109,5 +109,5 @@
 
 
-           ierr= NF90_PUT_VAR(nid,varid,date,[ntime])
+           ierr= nf90_put_var(nid,varid,date,[ntime])
 
 !          print*,'date ',date,ierr,nid
@@ -173,5 +173,5 @@
 
 
-      ierr= NF90_PUT_VAR(nid,varid,zx,corner,edges)
+      ierr= nf90_put_var(nid,varid,zx,corner,edges)
 
       if (ierr/=nf90_noerr) then
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_read_mod.F90	(revision 5100)
@@ -234,5 +234,5 @@
 !$OMP MASTER  ! Only master thread
        IF (is_mpi_root) THEN ! Only master processus
-          ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
+          ierr = nf90_open ('limit.nc', nf90_nowrite, nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
@@ -240,5 +240,5 @@
           !--- WARNING IF CALENDAR IS KNOWN AND DOES NOT MATCH THE ONE OF LMDZ
           ierr=NF90_INQ_VARID(nid, 'TEMPS', nvarid)
-          ierr=NF90_GET_ATT(nid, nvarid, 'calendar', calendar)
+          ierr=nf90_get_att(nid, nvarid, 'calendar', calendar)
           IF(ierr==nf90_noerr.AND.calendar/=calend.AND.prt_level>=1) THEN
              WRITE(lunout,*)'BEWARE: gcm and limit.nc calendars differ: '
@@ -269,5 +269,5 @@
           IF(nn/=klon_glo) CALL abort_physic(modname,abort_message,1)
 
-          ierr = NF90_CLOSE(nid)
+          ierr = nf90_close(nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        END IF ! is_mpi_root
@@ -332,5 +332,5 @@
        IF (is_mpi_root) THEN ! Only master processus!
 
-          ierr = NF90_OPEN ('limit.nc', NF90_NOWRITE, nid)
+          ierr = nf90_open ('limit.nc', nf90_nowrite, nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,&
                'Pb d''ouverture du fichier de conditions aux limites',1)
@@ -426,5 +426,5 @@
 
 !****************************************************************************************
-          ierr = NF90_CLOSE(nid)
+          ierr = nf90_close(nid)
           IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
        ENDIF ! is_mpi_root
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/limit_slab.F90	(revision 5100)
@@ -61,5 +61,5 @@
         read_siv=.TRUE.
         
-        ierr = NF90_OPEN ('limit_slab.nc', NF90_NOWRITE, nid)
+        ierr = nf90_open ('limit_slab.nc', nf90_nowrite, nid)
         IF (ierr /= nf90_noerr) THEN
             PRINT *,'LIMIT_SLAB file not found'
@@ -145,5 +145,5 @@
 
 !****************************************************************************************
-        ierr = NF90_CLOSE(nid)
+        ierr = nf90_close(nid)
         IF (ierr /= nf90_noerr) CALL abort_physic(modname,'Pb when closing file', 1)
         END IF ! Read File 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5100)
@@ -88,5 +88,5 @@
     IF (is_mpi_root.AND.is_omp_root) THEN
 
-       iret = nf90_open("MACv2.0-SP_v1.nc", NF90_NOWRITE, ncid)
+       iret = nf90_open("MACv2.0-SP_v1.nc", nf90_nowrite, ncid)
        IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF File not opened'
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/open_climoz_m.F90	(revision 5100)
@@ -53,5 +53,5 @@
     press_in_cen = press_in_cen * 100.
     nlev = SIZE(press_in_cen)
-    CALL NF95_INQ_VARID(ncID, "time", varID)
+    CALL nf95_inq_varid(ncID, "time", varID)
     CALL NF95_GW_VAR(ncid, varid, time_in)
     ntim = SIZE(time_in)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/read_map2D.F90	(revision 5100)
@@ -30,5 +30,5 @@
 ! Read variable from file. Done by master process MPI and master thread OpenMP
   IF (is_mpi_root .AND. is_omp_root) THEN
-     ierr = NF90_OPEN(trim(filename), NF90_NOWRITE, nid)
+     ierr = nf90_open(trim(filename), nf90_nowrite, nid)
      IF (ierr /= nf90_noerr) CALL write_err_mess('Problem in opening file')
 
@@ -41,5 +41,5 @@
      IF (ierr /= nf90_noerr) CALL write_err_mess('Problem in reading varaiable')
 
-     ierr = NF90_CLOSE(nid)
+     ierr = nf90_close(nid)
      IF (ierr /= nf90_noerr) CALL write_err_mess('Problem in closing file')
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5099)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosol_mod.F90	(revision 5100)
@@ -200,6 +200,6 @@
         IF (is_mpi_root) THEN
     
-          IF (nf90_open(TRIM(file_aerosol), NF90_NOWRITE, ncid) /= nf90_noerr) THEN
-            CALL check_err( nf90_open(TRIM(file_so4), NF90_NOWRITE, ncid), "pb open "//trim(file_so4) )
+          IF (nf90_open(TRIM(file_aerosol), nf90_nowrite, ncid) /= nf90_noerr) THEN
+            CALL check_err( nf90_open(TRIM(file_so4), nf90_nowrite, ncid), "pb open "//trim(file_so4) )
           ENDIF
 
@@ -351,5 +351,5 @@
   
        WRITE(lunout,*) 'reading variable ',TRIM(varname),' in file ', TRIM(fname)
-       CALL check_err( nf90_open(TRIM(fname), NF90_NOWRITE, ncid), "pb open "//trim(fname) )
+       CALL check_err( nf90_open(TRIM(fname), nf90_nowrite, ncid), "pb open "//trim(fname) )
 
 
